llvm.org GIT mirror llvm / c9864d8
Revert r229224: Make the 'llvm-lit' utility defend against a system where Python3 Apparantly python2.7 also doesn't work. Awesome. git-svn-id: https://llvm.org/svn/llvm-project/llvm/trunk@229245 91177308-0d34-0410-b5e6-96231b3b80d8 Chandler Carruth 4 years ago
3 changed file(s) with 5 addition(s) and 1 deletion(s). Raw diff Collapse all Expand all
0 # Set up some variables specifically used by lit.
1 set(LD_EXECUTABLE ${CMAKE_LINKER})
2
3 configure_lit_site_cfg(
14 ${CMAKE_CURRENT_SOURCE_DIR}/lit.site.cfg.in
25 ${CMAKE_CURRENT_BINARY_DIR}/lit.site.cfg
1111 config.llvm_shlib_ext = "@SHLIBEXT@"
1212 config.llvm_exe_ext = "@EXEEXT@"
1313 config.lit_tools_dir = "@LLVM_LIT_TOOLS_DIR@"
14 config.ld_executable = "@LD_EXECUTABLE@"
1415 config.python_executable = "@PYTHON_EXECUTABLE@"
1516 config.ocamlfind_executable = "@OCAMLFIND@"
1617 config.have_ocamlopt = "@HAVE_OCAMLOPT@"
None #!/usr/bin/env python2.7
0 #!/usr/bin/env python
11
22 import os
33 import sys